// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package perfmonstertest;

import java.awt.event.ActionEvent;

import javax.swing.*;
import javax.swing.SwingUtilities;

import org.apache.log4j.Logger;

public class LogGeneratorWithInstrumentation
{
  private static final Logger logger = Logger.getLogger(LogGeneratorWithInstrumentation.class);
  private JToggleButton type1, type2, type3;

  public static void main(String[] args)
  {
    SwingUtilities.invokeLater(new Runnable()
    {
      public void run()
      {
        LogGeneratorWithInstrumentation generator = new LogGeneratorWithInstrumentation();
        generator.createAndShowGUI();
      }
    });
  }

  private void createAndShowGUI()
  {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    } catch (Exception e) {
      e.printStackTrace();
    }

    // Create and set up the window.
    JFrame frame = new JFrame("LogGenerator");
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    Action type1Action = new AbstractAction("Type1")
    {
      public void actionPerformed(ActionEvent evt)
      {
        if (type1.isSelected()) {
          logger.error("BEGIN Type1.error(Hej2 h, Davs d)");
        } else {
          logger.error("END Type1.error");
        }
      }
    };
    Action type2Action = new AbstractAction("Type2")
    {
      public void actionPerformed(ActionEvent evt)
      {
        if (type2.isSelected()) {
          logger.error("BEGIN Type2.warning(Hejsa 400, Davs d)");
        } else {
          logger.error("END Type2.warning");
        }
      }
    };
    Action type3Action = new AbstractAction("Type3")
    {
      public void actionPerformed(ActionEvent evt)
      {
        if (type3.isSelected()) {
          logger.error("BEGIN Type34.error(Hej2 h, Davs d)");
        } else {
          logger.error("END Type34.error");
        }
      }
    };

    type1 = new JToggleButton(type1Action);
    type2 = new JToggleButton(type2Action);
    type3 = new JToggleButton(type3Action);

    JPanel controls = new JPanel();
    controls.setLayout(new BoxLayout(controls, BoxLayout.PAGE_AXIS));
    controls.add(type1);
    controls.add(type2);
    controls.add(type3);

    frame.add(controls);

    // Display the window.
    frame.pack();
    frame.setVisible(true);
  }
}
