// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.helpers;

/**
 * Used to store application-wide settings.
 */
public class SystemProperties
{
  private static final SystemProperties INSTANCE = new SystemProperties();

  private String instrumentPath = "";

  private int agentPortNumber = 4000;
  private int portNumber = 4446;
  private String logServerHost = "localhost";
  
  public static SystemProperties getInstance()
  {
    return INSTANCE;
  }
  
  public void setPortNumber(int portNumber)
  {
    this.portNumber  = portNumber;
  }
  
  public int getAgentPortNumber()
  {
    return agentPortNumber;
  }

  public int getPortNumber()
  {
    return portNumber;
  }

  public String getLogServerHost()
  {
    return logServerHost;
  }
  
  public void setInstrumentPath(String instrumentPath)
  {
    this.instrumentPath = instrumentPath;
  }
  
  public String getInstrumentPath()
  {
    return instrumentPath;
  }
}
