// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.instrumentation.impl;

import performancemonster.instrumentation.ClassDefinition;
import performancemonster.instrumentation.MethodDefinition;

public class MethodDefinitionImpl implements MethodDefinition
{
  private final String name;
  private final ClassDefinition classDefinition;

  public MethodDefinitionImpl(String name, ClassDefinition classDefinition)
  {
    this.name = name;
    this.classDefinition = classDefinition;
  }

  public String getName()
  {
    return name;
  }
  
  public ClassDefinition getClassDefinition()
  {
    return classDefinition;
  }
  
  public String toString()
  {
    return getName();
  }
}
