// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.instrumentation.settings;

import performancemonster.instrumentation.MethodDefinition;

public interface Setting
{
  /**
   * If this Setting is not an "inherit" Setting, this method is used to find
   * out whether or not this Setting permits instrumentation for the given
   * method.
   * 
   * @param method
   *          the method to test.
   * @return true if this Setting enables instrumentation for the given method,
   *         false otherwise.
   * @throws IllegalStateException
   *           if the Setting is an "inherit" setting.
   */
  public boolean isInstrumentationEnabled(MethodDefinition method);
}