// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.helpers;

import java.awt.Color;

import performancemonster.analyzer.impl.GraphElementIdCreator;
import performancemonster.graph.GraphElement;
import performancemonster.graph.coloring.ColorRule;

public class MockFactory
{
  public static ColorRule createColorRule(String name, Color bar, Color border,
      String category, String message, String stackTrace)
  {
    ColorRule rule = new ColorRule(name);
    rule.setBarColor(bar);
    rule.setBorderColor(border);
    rule.setCategory(category);
    rule.setMessage(message);
    rule.setStackTrace(stackTrace);
    return rule;
  }
  
  public static GraphElement createGraphElement(final String category,
      final String message, final String stackTrace, final long beginning,
      final long end)
  {
    return new GraphElement()
    {
      private final long id = GraphElementIdCreator.createNewId();

      public String getCategory()
      {
        return category;
      }
      
      public String getMessage()
      {
        return message;
      }
  
      public String getStackTrace()
      {
        return stackTrace;
      }
  
      public boolean isEnded()
      {
        return true;
      }

      public long getBeginning()
      {
        return beginning;
      }
  
      public long getEnd()
      {
        return end;
      }

      public long getId()
      {
        return id;
      }
    };
  }
}
