// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;
import performancemonster.test.analyzer.AnalyzerTest;
import performancemonster.test.external.ExternalTest;
import performancemonster.test.graph.coloring.ColoringTest;
import performancemonster.test.instrumentation.InstrumentationTest;
import performancemonster.test.stress.StressTest;

public class PerformanceMonsterTest extends TestCase
{
  public static void main(String[] args)
  {
    TestRunner testRunner = new TestRunner();
    testRunner.doRun(suite());
  }
  
  public static TestSuite suite()
  {
    TestSuite suite = new TestSuite();
    suite.addTest(AnalyzerTest.suite());
    suite.addTest(ExternalTest.suite());
    suite.addTest(InstrumentationTest.suite());
    suite.addTest(ColoringTest.suite());
    suite.addTest(StressTest.suite());
    return suite;
  }
}
